Subject: Re: bug#16297: 24.3; Maybe wrong regexp in python.el (24.3)
From: [email-masked] (Fabián Ezequiel Gallina)
To: [email-masked]
Date: Mon, 30 Dec 2013 16:27:22 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

François Pinard <[email-masked]> writes:

> In some code of mine, I was checking if the cursor was at the
> beginning class using python-nav-beginning-of-defun-regexp using
> looking-at, and the looking-at was returning nil, while I expected a
> match.

Please, use `python-info-looking-at-beginning-of-defun' for such
thing. The regexp is constructed in a way that point must be at
beginning-of-line to match, and that function takes into account not
only that, but other possible situations (like point being inside of
string or comment).

--
Regards,
Fabián.